Bug 59832 - Graphical login screen crashes X
Summary: Graphical login screen crashes X
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: alpha Linux
medium
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-13 19:15 UTC by Diego Novillo
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 12:18:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (8.22 KB, text/plain)
2002-02-13 19:16 UTC, Diego Novillo
no flags Details
/var/log/XFree86.0.log (19.80 KB, text/plain)
2002-02-13 19:17 UTC, Diego Novillo
no flags Details

Description Diego Novillo 2002-02-13 19:15:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
When switching to runlevel 5, the graphical login screen never appears.  Instead
X continually crashes and re-starts.  

This problem occurs regardless of the login manager used.  I reproduced it with
both gdm and kdm.

I'll attach /var/log/messages and /var/log/XFree86.0.log with the messages
logged when switching to runlevel 5.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Switch to runlevel 5.
2. Watch X starting up and dying continuously.
	

Actual Results:  X switches to graphical mode and then dies.

Additional info:

Comment 1 Diego Novillo 2002-02-13 19:16:24 UTC
Created attachment 45579 [details]
/var/log/messages

Comment 2 Diego Novillo 2002-02-13 19:17:07 UTC
Created attachment 45580 [details]
/var/log/XFree86.0.log

Comment 3 Mike A. Harris 2002-11-08 15:20:11 UTC
Reassigning...

Comment 4 Mike A. Harris 2002-11-08 15:26:50 UTC
Your X server log doesn't show any crash info, so it is not helpful
to know what the real problem might be.  It's useful nonetheless for
various other info.

One thing I'm a bit confused by though, is that this is filed against
Red Hat Linux 7.3/Alpha, and we do not have an Alpha product for 7.3.
Did you mean to file it against 7.1 or 7.2?  I believe the X version
used in your log is the 7.2/Alpha X release.

Is this problem still present in our released RHL 7.2/Alpha?  If so,
can you try using runlevel 3 and startx and let me know if it fails
there too?

If it fails with startx, I'll need you to get me a backtrace with
ftp://people.redhat.com/mharris/gdb-xfree86 from a coredump, or from
starting the server with gdb directly in order to know where it is
dying.

Also, try disabling DRI by commenting out the: Load "dri" line
If that doesn't fix it, try disabling accel with:  Option "noaccel" also.

Do any of the above options stop the crashing?

Comment 5 Mike A. Harris 2002-12-21 21:57:25 UTC
We no longer support Alpha officially.  


Note You need to log in before you can comment on or make changes to this bug.